Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1193811 (hexalate) - Review Request: hexalate - Color matching game
Summary: Review Request: hexalate - Color matching game
Keywords:
Status: CLOSED ERRATA
Alias: hexalate
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2015-02-18 09:52 UTC by Mario Blättermann
Modified: 2015-02-28 10:21 UTC (History)
3 users (show)

Fixed In Version: hexalate-1.0.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 10:21:07 UTC
mgansser: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Blättermann 2015-02-18 09:52:31 UTC
Spec URL: https://mariobl.fedorapeople.org/Review/SPECS/hexalate.spec
SRPM URL: https://mariobl.fedorapeople.org/Review/SRPMS/hexalate-1.0.3-2.fc21.src.rpm

Description:
Hexalate is a color matching game. The goal of the game is to rotate and
position the circles so that each touching line matches in color. You
rotate circles by right clicking, and you move circles by dragging them.
The game stores the positions and rotations of the circles across runs.

Fedora Account System Username: mariobl

Comment 1 Mario Blättermann 2015-02-18 10:00:02 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=8978964

$ rpmlint -i -v *
hexalate.i686: I: checking
hexalate.i686: I: checking-url http://gottcode.org/hexalate/ (timeout 10 seconds)
hexalate.i686: W: no-manual-page-for-binary hexalate
Each executable in standard binary directories should have a man page.

hexalate.i686: E: invalid-appdata-file /usr/share/appdata/hexalate.appdata.xml
appdata file is not valid, check with appdata-validate

hexalate.x86_64: I: checking
hexalate.x86_64: I: checking-url http://gottcode.org/hexalate/ (timeout 10 seconds)
hexalate.x86_64: W: no-manual-page-for-binary hexalate
Each executable in standard binary directories should have a man page.

hexalate.x86_64: E: invalid-appdata-file /usr/share/appdata/hexalate.appdata.xml
appdata file is not valid, check with appdata-validate

hexalate-debuginfo.i686: I: checking
hexalate-debuginfo.i686: I: checking-url http://gottcode.org/hexalate/ (timeout 10 seconds)
hexalate-debuginfo.x86_64: I: checking
hexalate-debuginfo.x86_64: I: checking-url http://gottcode.org/hexalate/ (timeout 10 seconds)
hexalate.spec: I: checking
hexalate.spec: I: checking-url http://gottcode.org/hexalate/hexalate-1.0.3-src.tar.bz2 (timeout 10 seconds)
4 packages and 1 specfiles checked; 2 errors, 2 warnings.

The same problem with the appdata file again: appstream-util says it is OK, while appdata-validate (used by fedora-review) complains about it:

$ appstream-util validate-relax --nonet *xml
hexalate.appdata.xml: OK

$ appdata-validate *xml
hexalate.appdata.xml 3 problems detected:
• tag-invalid           : <project_license> is not valid: SPDX ID 'GPLv3+' unknown
• attribute-invalid     : <screenshot> width was too small
• style-invalid         : Not enough <p> tags for a good description

The "relaxed" version of appdata-validate doesn't have any objections:

$ appdata-validate --relax *xml
hexalate.appdata.xml validated OK.

Comment 2 MartinKG 2015-02-18 12:09:03 UTC
the Fedora Packaging Guide means, that a group tag should be used.
https://fedoraproject.org/wiki/SIGs/Games/Packaging

Group:          Amusements/Games

Comment 3 Kevin Kofler 2015-02-18 13:16:08 UTC
The Group tag is no longer required with current versions of RPM. According to the authoritative packaging guidelines, its use is optional:
https://fedoraproject.org/wiki/Packaging:Guidelines#Group_tag
Most people actually recommend NOT using it anymore.

The https://fedoraproject.org/wiki/SIGs/Games/Packaging page is not normative, it would have to pass through FPC and get a wiki page under the Packaging: namespace to be so.

Comment 4 MartinKG 2015-02-18 13:21:20 UTC
will take it for a full review.

Comment 5 MartinKG 2015-02-18 14:20:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/martin/rpmbuild/SPECS/1193811-hexalate/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in hexalate
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hexalate-1.0.3-2.fc22.x86_64.rpm
          hexalate-1.0.3-2.fc22.src.rpm
hexalate.x86_64: W: no-manual-page-for-binary hexalate
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
hexalate (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
hexalate:
    appdata()
    appdata(hexalate.appdata.xml)
    application()
    application(hexalate.desktop)
    hexalate
    hexalate(x86-64)



Source checksums
----------------
http://gottcode.org/hexalate/hexalate-1.0.3-src.tar.bz2 :
  CHECKSUM(SHA256) this package     : a391ba44aa0f5bd618385dbe17e059947b829b85315aecb19edd1c863b3ebe3c
  CHECKSUM(SHA256) upstream package : a391ba44aa0f5bd618385dbe17e059947b829b85315aecb19edd1c863b3ebe3c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1193811
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

please contact upstream to add appdata.xml

Package APPROVED !

Comment 6 Mario Blättermann 2015-02-18 15:35:58 UTC
Thank you for review and approval!

New Package SCM Request
=======================
Package Name: hexalate
Short Description: Color matching game
Upstream URL: http://gottcode.org/hexalate/
Owners: mariobl
Branches: f21 f22

Comment 7 Mario Blättermann 2015-02-18 15:37:58 UTC
(In reply to MartinKG from comment #5)
> please contact upstream to add appdata.xml

There is already an appdata file upstream what I wasn't aware of:
https://raw.githubusercontent.com/gottcode/hexalate/master/icons/hexalate.appdata.xml

I will use it for the package and add my German translation. I assume the next release of Hexalate will ship it fully translated.

Comment 8 Gwyn Ciesla 2015-02-18 15:47:30 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-02-18 16:28:00 UTC
hexalate-1.0.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/hexalate-1.0.3-2.fc21

Comment 10 Fedora Update System 2015-02-19 18:01:46 UTC
hexalate-1.0.3-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Fedora Update System 2015-02-28 10:21:07 UTC
hexalate-1.0.3-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.